## BamfFactory BamfFactory — The base class for all factorys |

## Types and Values

enum | BamfFactoryViewType

## Object Hierarchy

        GObject
        ╰── BamfFactory

## Description

BamfFactory is the base class that all factorys need to derive from.

## Functions

## Types and Values

### enum BamfFactoryViewType

#### Members

BAMF_FACTORY_VIEW |  |
BAMF_FACTORY_WINDOW |  |
BAMF_FACTORY_APPLICATION |  |
BAMF_FACTORY_TAB |  |
BAMF_FACTORY_NONE |  |